# Interface StructureLoaderInterface<X, L>

#### Type Parameters

- #### X extends any[]

- #### L = undefined

#### Hierarchy

- StructureLoaderInterface

#### Implemented by

- MolstarAlignmentLoader
- MolstarAssemblyLoader

- Defined in src/RcsbFvStructure/StructureUtils/StructureLoaderInterface.ts:6

#####
Index

### Methods

load

## Methods

### load

- load(...args): Promise<undefined | L>

- #### Parameters

  - ##### `Rest` ...args: X

  #### Returns Promise<undefined | L>

  - Defined in src/RcsbFvStructure/StructureUtils/StructureLoaderInterface.ts:7

Generated using TypeDoc